---
title: API
order: 3
docGenIncludes:
  - src/components/YwCardList/index.tsx
---

```ts

export interface YwCardListProps extends ListProps<any> {
  /** 分页 */
  pagination?: false | PaginationProps;
  /** 数据请求 */
  getDataSource?: (any) => void;
  /** 数据 */
  dataSource?: any[];
  /** 筛选项 */
  filterProps?: any;
  /** 唯一key */
  rowKey?: string;
  /** 是否展示总数 */
  showTotal?: boolean;
  /** 自定义总数 */
  renderTotal?: (number) => JSX.Element;
  /** 确认文案 */
  confirmText?: string;
  /** 操作区 */
  buttons?: IButtons[];
  /** 确认按钮禁用 */
  confirmDisabled?: boolean;
  /** 格式化 */
  formatValues?: (any) => { [key: string]: any };
  /** 是否可选择 */
  onSubmit?: (any) => void;
  /** 是否可选择 */
  rowSelection?: TableProps<any>['rowSelection'];
  renderHeader?: (any) => JSX.Element;
  renderFooter?: (any) => JSX.Element;
  listItemStyle?: React.CSSProperties;
  /** footer 样式 */
  footerStyle?: React.CSSProperties;
}

```