---
title: API
order: 4
docGenIncludes:
  - src/components/YwFilter/index.tsx
---

```ts
export interface YwFilterProps {
  /** 表单配置项. */
  items: YwJsonFormProps['items'];
  /** 最多展示行数. */
  maxRows?: number;
  /** 最多展示列. */
  maxColumns?: number;
  /** 最少展示列. */
  minColumns?: number;
  /** 列间距. */
  columnGap?: number;
  /** 默认查询条件 */
  initialValues?: object;
  /** 表单项宽度 */
  itemWidth?: number;
  /** 是否开启缓存 */
  cache?: boolean;
  /** 提交回调 */
  onSubmit?: (values: Form['values']) => void;
  /** 重置 */
  onReset?: () => void;
}

```