---
title: 包裹型选项卡
order: 2

---

一般位于筛选项下方，第二层 tab，筛选前后 tab 数值不发生变化

```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwTab } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
const dataSource = [
  { tab: '全部', key: 'key1', content: 'Content of Tab Pane 1' },
  { tab: '我的直播', key: 'key2', content: 'Content of Tab Pane 2' },
  { tab: '进行中', key: 'key3', content: 'Content of Tab Pane 3' },
  { tab: '我的审核', key: 'key4', content: 'Content of Tab Pane 4' },
];
class App extends Component {
  render() {
    return (
      <div>
        <YwTab shape="wrapped" dataSource={dataSource} />
      </div>
    );
  }
}

ReactDOM.render(<App />, mountNode);
```
