---
title: 业务预定义标签
order: 2
docGenIncludes:
  - src/components/YwTag/index.tsx
---



```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwTag,YwTitle } from '@ywfe/yw-design';
class App extends Component {
  render() {
    return (
      <div>
      <YwTitle size='m' text='标签（推荐）'/>
        <YwTag text='推荐' color='#F15A5A'/>
      <YwTitle size='m' text='标签（场次）'/>
        <YwTag size='s' text='混场' color='#9C7AFF'/>
        <YwTag size='s' text='专场' color='#ED6A0C'/>
        <YwTag size='s' text='小专场' color='#FAAD14'/>
      <YwTitle size='m' text='双色标签'/>
       <YwTag text='3天19时59分' color='error'/>
       <YwTag text='已结束'/>
      <YwTitle size='m' text='单色标签'/>
       <YwTag styleType='hollow' color = 'processing' text='快手CPS'/>
        <YwTag styleType='hollow' color = 'error' text='已过期'/>
        <YwTag styleType='hollow' color = 'success' text='已通过'/>
        <YwTag styleType='hollow' color = 'warning' text='审核中'/>
      </div>
    );
  }
}

ReactDOM.render(<App />, mountNode);
```
