---
title: 标题组件
order: 1
docGenIncludes:
  - src/components/YwTitle/index.tsx
---



```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwTitle } from '@ywfe/yw-design';
class App extends Component {
  render() {
    return (
      <div>
        <div>第一类： 遥望云标题 (页头)</div>
        <br />
        <YwTitle text="报品广场" subtitle="我是副标题" />
        <br />
        <div>第二类：二级标题、分组标题</div>
        <br />
        <YwTitle size="m" text="分组标题" subtitle="我是副标题" />
        <br />
        <div>第三类：分类型标题</div>
        <br />
        <YwTitle size="s" text="分类型标题">
        </YwTitle>
      </div>
    );
  }
}

ReactDOM.render(<App />, mountNode);
```
