import _Cascader from "@alifd/next/lib/cascader";
import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import styles from "./index.module.less";

var YwCascader = function YwCascader(props) {
  return /*#__PURE__*/React.createElement(_Cascader, _extends({}, props, {
    className: props.border ? "" + styles['yw-cascader'] : "" + styles['yw-cascader-no-border'],
    listStyle: _extends({
      width: '180px'
    }, props.listStyle)
  }));
};

YwCascader.defaultProps = {
  placeholder: '请选择',
  size: 'medium',
  hasArrow: true,
  hasClear: true,
  listStyle: {},
  border: true
};
export default YwCascader;