'use strict';

exports.__esModule = true;
exports.useAsyncDataSource = void 0;

var reactive_1 = require('@formily/reactive');

exports.useAsyncDataSource = function (dataSource) {
  return function (field) {
    field.loading = true;
    var service = dataSource[field.props.name];
    service(field).then(reactive_1.action.bound(function (data) {
      field.dataSource = data;
      field.loading = false;
    }));
  };
};