'use strict';

exports.__esModule = true;
exports.FORMATS = exports.RULES = void 0;
exports.RULES = {
  custom: function custom(value) {
    return value > 100 ? 'error' : '';
  }
};
exports.FORMATS = {
  // 图片
  img: /^.(png | jpg | wepg)$/,
  // 正数
  positive: /^[+]{0,1}(\d+)$|^[+]{0,1}(\d+\.\d+)$/,
  // 正整数
  positive_integer: /^[1-9]+[0-9]*$/,
  // 整数
  integer: /^[+-]?\d+$/
};