/// <reference types="react" />
import YwTitle from '../YwTitle';
import { YwJsonFormProps } from '../../types';
export declare const SchemaField: {
    <Decorator extends unknown, Component extends unknown>(props: import("@formily/react").ISchemaFieldProps<Decorator, Component, import("@formily/core").ObjectField<Decorator, Component>>): JSX.Element;
    displayName: string;
    Markup: {
        <Decorator_1 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_1 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaMarkupFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_1, Decorator_1>): JSX.Element;
        displayName: string;
    };
    String: {
        <Decorator_2 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_2 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_2, Decorator_2>): JSX.Element;
        displayName: string;
    };
    Object: {
        <Decorator_3 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_3 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_3, Decorator_3>): JSX.Element;
        displayName: string;
    };
    Array: {
        <Decorator_4 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_4 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_4, Decorator_4>): JSX.Element;
        displayName: string;
    };
    Boolean: {
        <Decorator_5 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_5 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_5, Decorator_5>): JSX.Element;
        displayName: string;
    };
    Date: {
        <Decorator_6 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_6 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_6, Decorator_6>): JSX.Element;
        displayName: string;
    };
    DateTime: {
        <Decorator_7 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_7 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_7, Decorator_7>): JSX.Element;
        displayName: string;
    };
    Void: {
        <Decorator_8 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_8 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_8, Decorator_8>): JSX.Element;
        displayName: string;
    };
    Number: {
        <Decorator_9 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`, Component_9 extends "Input" | "TextArea" | "Radio" | "RadioGroup" | "CheckboxGroup" | "Switch" | "NumberPicker" | "Select" | "TimePicker" | "DateTimePicker" | "WeekPicker" | "DatePicker" | "MonthPicker" | "TimeRangePicker" | "ArrayTable" | "ArrayItems" | "CascaderSelect" | "Checkbox" | "DateRangePicker" | "DateRangeGroup" | "MonthRangePicker" | "DateTimeRangePicker" | "WeekRangePicker" | "NumberRangePicker" | "FormGrid" | "SearchSelect" | "FormItem" | "Space" | "Editable" | "YwTitle" | "FormButtonGroup" | "Submit" | "Reset" | "FormLayout" | "PreviewText" | "InputGroup" | "EmpSelector" | "OrgSelector" | `Input.${string}` | `TextArea.${string}` | "Radio.Group" | "Radio.__ANT_RADIO" | "Switch.$$typeof" | "NumberPicker.$$typeof" | `Select.${string}` | `ArrayTable.${string}` | `CascaderSelect.${string}` | "Checkbox.Group" | "Checkbox.__ANT_CHECKBOX" | `NumberRangePicker.${string}` | `FormGrid.${string}` | `FormItem.${string}` | `Space.${string}` | `Editable.${string}` | `FormButtonGroup.${string}` | `Submit.${string}` | `Reset.${string}` | `FormLayout.${string}` | "PreviewText.Input" | "PreviewText.NumberPicker" | "PreviewText.Select" | "PreviewText.TimePicker" | "PreviewText.DatePicker" | "PreviewText.TimeRangePicker" | "PreviewText.DateRangePicker" | "PreviewText.Placeholder" | "PreviewText.TreeSelect" | "PreviewText.Cascader" | "PreviewText.usePlaceholder" | `EmpSelector.${string}` | `OrgSelector.${string}`>(props: import("@formily/react").ISchemaTypeFieldProps<{
            YwTitle: typeof YwTitle;
            TextArea: any;
            RadioGroup: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
            CheckboxGroup: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
            Input: any;
            FormItem: any;
            FormButtonGroup: any;
            Submit: React.FC<React.PropsWithChildren<import("@formily/antd").ISubmitProps>>;
            Reset: React.FC<React.PropsWithChildren<import("@formily/antd").IResetProps>>;
            NumberPicker: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").InputNumberProps<string | number> & {
                children?: import("react").ReactNode;
            } & {
                ref?: import("react").Ref<HTMLInputElement>;
            }>, keyof import("antd").InputNumberProps<string | number>> & import("react").RefAttributes<unknown>>;
            Select: React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>;
            Switch: import("react").ForwardRefExoticComponent<Pick<Partial<import("antd").SwitchProps & import("react").RefAttributes<HTMLElement>>, "key" | keyof import("antd").SwitchProps> & import("react").RefAttributes<unknown>>;
            FormLayout: any;
            FormGrid: any;
            Radio: import("react").FC<import("react").PropsWithChildren<import("antd").RadioProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd").RadioGroupProps>>;
                __ANT_RADIO?: boolean;
            };
            Checkbox: import("react").FC<import("react").PropsWithChildren<import("antd").CheckboxProps>> & {
                Group?: import("react").FC<import("react").PropsWithChildren<import("antd/lib/checkbox").CheckboxGroupProps>>;
                __ANT_CHECKBOX?: boolean;
            };
            Editable: any;
            PreviewText: {
                (props: React.PropsWithChildren<any>): JSX.Element;
                Input: React.FC<React.PropsWithChildren<import("antd").InputProps>>;
                Select: React.FC<React.PropsWithChildren<any>>;
                TreeSelect: React.FC<React.PropsWithChildren<any>>;
                Cascader: React.FC<React.PropsWithChildren<any>>;
                DatePicker: React.FC<React.PropsWithChildren<import("antd").DatePickerProps>>;
                DateRangePicker: React.FC<React.PropsWithChildren<import("antd/lib/date-picker").RangePickerProps>>;
                TimePicker: React.FC<React.PropsWithChildren<import("antd").TimePickerProps>>;
                TimeRangePicker: React.FC<React.PropsWithChildren<import("antd").TimeRangePickerProps>>;
                Placeholder: React.Provider<React.ReactNode>;
                usePlaceholder: (value?: any) => any;
                NumberPicker: React.FC<React.PropsWithChildren<import("antd").InputNumberProps<string | number>>>;
            };
            InputGroup: (props: any) => JSX.Element;
            ArrayTable: React.MemoExoticComponent<React.FC<import("@formily/reactive-react").ReactPropsWithChildren<P>>>;
            ArrayItems: ({ sortable, layoutProps, hasAdd, maxRow, minRow, arrayConfig, name, editable, itemsType, ...props }: {
                [x: string]: any;
                sortable: any;
                layoutProps: any;
                hasAdd?: boolean;
                maxRow?: number;
                minRow?: number;
                arrayConfig?: any[];
                name: any;
                editable: any;
                itemsType?: string;
            }) => JSX.Element;
            SearchSelect: (props: any) => JSX.Element;
            EmpSelector: React.FC;
            OrgSelector: React.FC;
            CascaderSelect: React.FC;
            NumberRangePicker: React.FC;
            WeekRangePicker: (props: any) => JSX.Element;
            DateRangePicker: ({ ranges, ...props }: {
                [x: string]: any;
                ranges: any;
            }) => JSX.Element;
            MonthRangePicker: (props: any) => JSX.Element;
            DateRangeGroup: (props: {
                ranges: string[];
                rangesValue?: {
                    [key: string]: moment.Moment[];
                };
                onChange: (value: string) => void;
            }) => JSX.Element;
            DateTimeRangePicker: (props: any) => JSX.Element;
            MonthPicker: (props: any) => JSX.Element;
            WeekPicker: (props: any) => JSX.Element;
            DatePicker: (props: any) => JSX.Element;
            DateTimePicker: (props: any) => JSX.Element;
            TimePicker: (props: any) => JSX.Element;
            TimeRangePicker: (props: any) => JSX.Element;
            Space: React.FC<React.PropsWithChildren<import("antd").SpaceProps>>;
        }, Component_9, Decorator_9>): JSX.Element;
        displayName: string;
    };
};
declare function YwJsonForm(props: YwJsonFormProps): JSX.Element;
declare namespace YwJsonForm {
    var defaultProps: {
        form: any;
        layoutProps: {
            fullness: boolean;
            labelCol: number;
            wrapperCol: number;
        };
        buttons: {
            htmlType: string;
        }[];
        buttonsProps: {};
        onSubmit: (form: any) => void;
        onCreate: (form: any) => void;
        onValueChange: (data: any, form: any) => void;
    };
}
export { YwJsonForm };
