'use strict';

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === 'function') for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

exports.__esModule = true;

var React = require('react');

var index_module_less_1 = require("./index.module.less");

function YwTitle(props) {
  var _a = props.text,
      text = _a === void 0 ? '' : _a,
      subtitle = props.subtitle,
      size = props.size,
      children = props.children,
      others = __rest(props, ['text', 'subtitle', 'size', 'children']);

  return React.createElement('div', __assign({
    className: index_module_less_1['default']['yw-title-' + size] + ' ' + index_module_less_1['default']['yw-title']
  }, others), size !== 'l' && React.createElement('span', {
    className: index_module_less_1['default']['yw-title-line']
  }), React.createElement('div', {
    className: ' ' + index_module_less_1['default']['yw-title-base']
  }, text, subtitle && React.createElement('div', {
    className: index_module_less_1['default']['yw-title-subtitle']
  }, subtitle), React.createElement('div', {
    style: {
      display: 'inline-block',
      height: '100%'
    }
  }, children)));
}

exports['default'] = YwTitle;
YwTitle.defaultProps = {
  size: 'l'
};