import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["text", "subtitle", "size", "children"];
import * as React from 'react';
import styles from "./index.module.less";
export default function YwTitle(props) {
  var _props$text = props.text,
      text = _props$text === void 0 ? '' : _props$text,
      subtitle = props.subtitle,
      size = props.size,
      children = props.children,
      others = _objectWithoutPropertiesLoose(props, _excluded);

  return /*#__PURE__*/React.createElement("div", _extends({
    className: styles["yw-title-" + size] + " " + styles["yw-title"]
  }, others), size !== 'l' && /*#__PURE__*/React.createElement("span", {
    className: styles['yw-title-line']
  }), /*#__PURE__*/React.createElement("div", {
    className: " " + styles["yw-title-base"]
  }, text, subtitle && /*#__PURE__*/React.createElement("div", {
    className: styles["yw-title-subtitle"]
  }, subtitle), children && /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'inline-block',
      height: '100%'
    }
  }, children)));
}
YwTitle.defaultProps = {
  size: 'l'
};