import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["tooltip"];
import React from 'react';
import { Tooltip } from 'antd';
export var withToolTip = function withToolTip(WrapComponent) {
  return function (_ref) {
    var tooltip = _ref.tooltip,
        props = _objectWithoutPropertiesLoose(_ref, _excluded);

    return tooltip ? /*#__PURE__*/React.createElement(Tooltip, {
      placement: tooltip.placement,
      title: tooltip.title
    }, /*#__PURE__*/React.createElement(WrapComponent, props)) : /*#__PURE__*/React.createElement(WrapComponent, props);
  };
};