"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _cascader = _interopRequireDefault(require("@alifd/next/lib/cascader"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _indexModule = _interopRequireDefault(require("./index.module.less"));

var YwCascader = function YwCascader(props) {
  return /*#__PURE__*/_react["default"].createElement(_cascader["default"], (0, _extends2["default"])({}, props, {
    className: props.border ? "" + _indexModule["default"]['yw-cascader'] : "" + _indexModule["default"]['yw-cascader-no-border'],
    listStyle: (0, _extends2["default"])({
      width: '180px'
    }, props.listStyle)
  }));
};

YwCascader.defaultProps = {
  placeholder: '请选择',
  size: 'medium',
  hasArrow: true,
  hasClear: true,
  listStyle: {},
  border: true
};
var _default = YwCascader;
exports["default"] = _default;