"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _antd = require("antd");

var _ywLinkage = require("@ywfe/yw-linkage");

var _indexModule = _interopRequireDefault(require("./index.module.less"));

var _error = _interopRequireDefault(require("./components/error"));

var _empty = _interopRequireDefault(require("./components/empty"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var YwContainer = function YwContainer(props) {
  var className = props.className,
      style = props.style,
      children = props.children,
      linkages = props.linkages,
      loading = props.loading,
      error = props.error,
      empty = props.empty,
      title = props.title;
  return /*#__PURE__*/React.createElement(_ywLinkage.LinkProvider, null, /*#__PURE__*/React.createElement(_ywLinkage.LinkBlock, {
    linkages: linkages
  }, /*#__PURE__*/React.createElement("div", {
    className: _indexModule["default"]["yw-container"] + " " + className,
    style: style
  }, /*#__PURE__*/React.createElement(_antd.Spin, {
    size: "large",
    spinning: loading
  }, error && /*#__PURE__*/React.createElement(_error["default"], null), empty && /*#__PURE__*/React.createElement(_empty["default"], null), children))));
};

YwContainer.defaultProps = {
  linkages: []
};
var _default = YwContainer;
exports["default"] = _default;