"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _antd = require("antd");

var _react2 = require("@formily/react");

var _index = _interopRequireDefault(require("../YwEmpSelector/index"));

var _index2 = require("../../utils/index");

var _core = require("@formily/core");

var _excluded = ["value", "fieldNames"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var YEmpSelector = function YEmpSelector(_ref) {
  var value = _ref.value,
      _ref$fieldNames = _ref.fieldNames,
      fieldNames = _ref$fieldNames === void 0 ? {
    label: 'userName',
    value: 'userId'
  } : _ref$fieldNames,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var field = (0, _react2.useField)();

  var _useState = (0, _react.useState)(false),
      visible = _useState[0],
      setVisible = _useState[1];

  var _useState2 = (0, _react.useState)(field.initialValue || []),
      empValue = _useState2[0],
      setEmpValue = _useState2[1];

  var maxItems = props.maxItems;
  (0, _react2.useFormEffects)(function () {
    (0, _core.onFieldValueChange)(field.props.name, function (field) {
      setEmpValue(field.value);
    });
  });
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_antd.Select, {
    onDropdownVisibleChange: function onDropdownVisibleChange(open) {
      open && setVisible(open);
    } // onFocus={() => {
    //     console.log(111)
    //   setVisible(true);
    // }}
    ,
    dropdownStyle: {
      display: 'none'
    },
    labelInValue: true,
    value: (0, _index2.formatOptionsList)(empValue, fieldNames),
    onChange: function onChange(v) {
      field.setValue((0, _index2.formatDataList)(v, {
        label: 'userName',
        value: 'userId'
      }));
    },
    dropdownRender: function dropdownRender() {
      return null;
    },
    disabled: field.disabled,
    options: (0, _index2.formatOptionsList)(empValue, fieldNames),
    mode: maxItems !== 1 ? 'multiple' : null // defaultValue={field.initialValue}
    // open={false}

  }), /*#__PURE__*/_react["default"].createElement(_index["default"], (0, _extends2["default"])({}, props, {
    visible: visible,
    onCancel: function onCancel() {
      setVisible(false);
    },
    defaultValue: field.initialValue,
    value: field.value,
    onOk: function onOk(data) {
      setEmpValue(data);
      field.setValue(data);
      setVisible(false);
    }
  })));
};

var _default = YEmpSelector;
exports["default"] = _default;