"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _antd = require("@formily/antd");

var _react2 = require("@formily/react");

var _core = require("@formily/core");

var COMPS = _interopRequireWildcard(require("./components"));

var _lodash = require("lodash");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var SchemaField = (0, _react2.createSchemaField)({
  components: (0, _extends2["default"])({}, COMPS)
});

var YInputGroup = function YInputGroup(props) {
  var field = (0, _react2.useField)();
  var form = (0, _react2.useParentForm)();
  var schema = (0, _react2.useFieldSchema)();
  var options = field.dataSource;
  var fieldName = (0, _lodash.keys)(schema.properties);
  (0, _react2.useFormEffects)(function () {
    (0, _core.onFieldChange)(schema.name, function (field) {
      var _schema$properties$fi;

      form.setValuesIn(fieldName, ((_schema$properties$fi = schema.properties[fieldName]) === null || _schema$properties$fi === void 0 ? void 0 : _schema$properties$fi["default"]) || undefined);
    });
    (0, _core.onFieldChange)(fieldName, function (field) {
      options.forEach(function (v) {
        form.setValuesIn(v.value, undefined);
      });
      form.setValuesIn([form.getValuesIn(schema.name)], field.value);
    });
  });
  return /*#__PURE__*/_react["default"].createElement(_react2.FormProvider, {
    form: form
  }, field.editable ? /*#__PURE__*/_react["default"].createElement(_antd.Input.Group, {
    compact: true
  }, /*#__PURE__*/_react["default"].createElement(_antd.Select, (0, _extends2["default"])({
    defaultValue: field.initialValue,
    disabled: field.disabled,
    options: options
  }, props)), /*#__PURE__*/_react["default"].createElement(SchemaField, {
    schema: schema
  })) : /*#__PURE__*/_react["default"].createElement(SchemaField, {
    schema: schema
  }));
};

var _default = YInputGroup;
exports["default"] = _default;