'use strict';

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === 'function') for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

exports.__esModule = true;

var react_1 = require('react');

var antd_1 = require('@formily/antd');

var zh_CN_1 = require('antd/es/date-picker/locale/zh_CN');

require('antd/es/date-picker/style/index');

var react_2 = require('@formily/react');

var RangePicker = antd_1.DatePicker.RangePicker;
var common = {
  locale: zh_CN_1['default']
};

var formatProps = function formatProps(_a) {
  var type = _a.type,
      props = __rest(_a, ['type']);

  if (type === 'range') {
    return __assign(__assign(__assign({}, common), {
      allowClear: true,
      // allowEmpty: true,
      format: props.showTime ? 'YYYY-MM-DD HH:mm:ss' : 'YYYY-MM-DD'
    }), props);
  } else {
    return __assign(__assign({}, common), {
      allowClear: true,
      // allowEmpty: true,
      format: props.showTime ? 'YYYY-MM-DD HH:mm:ss' : 'YYYY-MM-DD'
    });
  }
};

var YDatePicker = function YDatePicker(props) {
  var _props = formatProps(props);

  var field = react_2.useField();
  return react_1['default'].createElement(antd_1.DatePicker, __assign({}, _props, {
    onChange: function onChange(date) {
      field.setValue([date, date]);
    }
  }));
};

var YRangePicker = function YRangePicker(props) {
  console.log('time', props);

  var _props = formatProps(__assign(__assign({}, props), {
    type: 'range'
  }));

  return react_1['default'].createElement(RangePicker, __assign({
    separator: '-'
  }, _props));
};

YDatePicker.RangePicker = YRangePicker;
exports['default'] = YDatePicker;