"use strict";

exports.__esModule = true;
exports.RULES = exports.FORMATS = void 0;
var RULES = {
  custom: function custom(value) {
    return value > 100 ? 'error' : '';
  }
};
exports.RULES = RULES;
var FORMATS = {
  // 图片
  img: /^.(png | jpg | wepg)$/,
  // 正数
  positive: /^[+]{0,1}(\d+)$|^[+]{0,1}(\d+\.\d+)$/,
  // 正整数
  positive_integer: /^[1-9]+[0-9]*$/,
  // 整数
  integer: /^[+-]?\d+$/ // 文字
  // 数字或文字

};
exports.FORMATS = FORMATS;