"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = YwTag;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var _indexModule = _interopRequireDefault(require("./index.module.less"));

var _antd = require("antd");

var _excluded = ["text", "children", "styleType", "size"],
    _excluded2 = ["bizName"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var DefaultTag = function DefaultTag(_ref) {
  var text = _ref.text,
      children = _ref.children,
      styleType = _ref.styleType,
      size = _ref.size,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/React.createElement("span", {
    className: _indexModule["default"]["yw-tag"] + " " + _indexModule["default"]["yw-tag-" + size] + " " + (styleType && _indexModule["default"]["yw-tag-" + styleType])
  }, /*#__PURE__*/React.createElement(_antd.Tag, props, text || children));
};

var bizTagMap = {
  "default": DefaultTag
};

function YwTag(props) {
  var bizName = props.bizName,
      others = (0, _objectWithoutPropertiesLoose2["default"])(props, _excluded2);
  return bizTagMap[bizName](others);
}

YwTag.defaultProps = {
  bizName: 'default',
  styleType: '',
  color: 'default',
  size: 'default'
};