import React from 'react';
import type { ModalProps } from 'antd';
import { DebounceSelectProps } from '../YwJsonForm/YSearchSelect';
interface ModalSelectorProps extends ModalProps, DebounceSelectProps {
    maxItems?: number;
    defaultValue?: any;
    fieldNames?: {
        label: string;
        value: string;
    };
    tagRender?: (props: any) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any>) | (new (props: any) => React.Component<any, any, any>)>;
    labelInValue: boolean;
    fetchOptions: (any: any) => Promise<any>;
    itemKey?: string;
    children?: React.ReactNode;
}
declare const ModalSelector: {
    ({ maxItems, defaultValue, fieldNames, fetchOptions, tagRender, labelInValue, children, onOk, value, placeholder, autoFocus, showSearch, ...props }: ModalSelectorProps): JSX.Element;
    defaultProps: {
        onOk: () => void;
        defaultValue: any;
        labelInValue: boolean;
        placeholder: string;
        onChange: () => void;
        onCancel: () => void;
        fieldNames: {
            label: string;
            value: string;
        };
    };
};
export default ModalSelector;
