---
title: 按钮组件
order: 1
docGenIncludes:
  - src/components/YwButton/index.tsx
---



整体API基于antd Button组件， 详见API列表
新增 visible: boolean | Function
新增 disabled: boolean | Function
新增 btnText: string
新增 leftIcon、rightIcon: ReactNode

```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwButton } from '@ywfe/yw-design';
class App extends Component {
  render() {
    return (
      <YwButton btnText="按钮" visible={true} disabled={()=>{return false}}/>
    );
  }
}

ReactDOM.render(<App />, mountNode);
```
