---
title: 表单联动 —— jsx写法
order: 7
---

```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwJsonForm } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
import { Button } from 'antd'
let form = null;
const items = [
  {
    title: '控制者',
    name: 'source',
    component: 'Select',
    type: 'string',
    enum:[{value:true,label:'AAA'},{value:false,label:'BBB'}],
    componentProps:{
       onChange:(data)=>{
         form.setFieldState('target1',{disabled:true})
         form.setFieldState('target2',{visible:false})
         form.setValuesIn('target3',444)
       }
    },
  },
  {
    title: '禁用联动',
    name: 'target1',
    component: 'Input',
    type: 'string',
  },
  {
    title: '显示隐藏联动',
    name: 'target2',
    component: 'Input',
    type: 'string',
  },
  {
    title: '赋值联动',
    name: 'target3',
    component: 'Input',
    type: 'string',
  },
  {
    title: '多条件控制',
    name: 'target4',
    component: 'Input',
    type: 'string',
  },
];

const App =  ()=> {
    return (  
        <YwJsonForm items={items} buttons={[]} onCreate={(_form)=>{form = _form}}/>
    );
}

ReactDOM.render(<App />, mountNode);
```
