---
title: 普通选项卡
order: 1
---

位于第一层 Tab，不显示数值，当特定项（待审批），以红点徽标提示

```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { YwTab } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
const onChange = () => {};
const Custom = ({ content }) => {
  console.log('init', content);
  return <div>{content}</div>;
};
const dataSource = [
  { tab: '全部', key: 'key1', content: <Custom content="全部" /> },
  { tab: '我的直播', key: 'key2', content: <Custom content="我的直播" /> },
  { tab: '进行中', key: 'key3', content: <Custom content="进行中" />,count:7 },
  { tab: '我的审核', key: 'key4', content: <Custom content="我的审核" />, dot: true },
];
class App extends Component {
  render() {
    return (
      <div>
        <YwTab onChange={onChange} dataSource={dataSource} />
      </div>
    );
  }
}

ReactDOM.render(<App />, mountNode);
```
