import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["btnText", "visible", "disabled", "children", "leftIcon", "btnType", "type", "rightIcon", "style", "className"];
import * as React from 'react';
import { Button } from 'antd'; // import type { ButtonProps } from 'antd';

import { isDisabled, isVisible } from "../../utils/index";
export default function YwButton(props) {
  var _props$btnText = props.btnText,
      btnText = _props$btnText === void 0 ? '' : _props$btnText,
      _props$visible = props.visible,
      visible = _props$visible === void 0 ? true : _props$visible,
      disabled = props.disabled,
      children = props.children,
      leftIcon = props.leftIcon,
      btnType = props.btnType,
      type = props.type,
      rightIcon = props.rightIcon,
      style = props.style,
      className = props.className,
      others = _objectWithoutPropertiesLoose(props, _excluded);

  return isVisible(visible, null) && /*#__PURE__*/React.createElement(Button, _extends({}, others, {
    disabled: isDisabled(disabled, null),
    className: className,
    type: btnType || type,
    style: _extends({
      borderRadius: '4px'
    }, style)
  }), leftIcon, " ", children || btnText, rightIcon);
}
YwButton.defaultProps = {
  visible: true,
  disabled: false,
  btnType: '',
  style: {}
};