'use strict';

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === 'function') for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

exports.__esModule = true;
exports.useYwTable = void 0;

var ahooks_1 = require('ahooks');

var useYwTable = function useYwTable(getTableData, _a) {
  var defaultParams = _a.defaultParams,
      form = _a.form,
      rest = __rest(_a, ['defaultParams', 'form']);

  var tableProps = ahooks_1.useAntdTable(getTableData, __assign({
    defaultParams: defaultParams || [{
      current: 1,
      pageSize: 20
    }],
    form: form
  }, rest)).tableProps;
  return tableProps;
};

exports.useYwTable = useYwTable;