import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["text", "children", "styleType", "size"],
    _excluded2 = ["bizName"];
import * as React from 'react';
import styles from "./index.module.less";
import { Tag } from 'antd';

var DefaultTag = function DefaultTag(_ref) {
  var text = _ref.text,
      children = _ref.children,
      styleType = _ref.styleType,
      size = _ref.size,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return /*#__PURE__*/React.createElement("span", {
    className: styles["yw-tag"] + " " + styles["yw-tag-" + size] + " " + (styleType && styles["yw-tag-" + styleType])
  }, /*#__PURE__*/React.createElement(Tag, props, text || children));
};

var bizTagMap = {
  "default": DefaultTag
};
export default function YwTag(props) {
  var bizName = props.bizName,
      others = _objectWithoutPropertiesLoose(props, _excluded2);

  return bizTagMap[bizName](others);
}
YwTag.defaultProps = {
  bizName: 'default',
  styleType: '',
  color: 'default',
  size: 'default'
};