"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = YwButton;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var _antd = require("antd");

var _index = require("../../utils/index");

var _excluded = ["btnText", "visible", "disabled", "children", "leftIcon", "btnType", "type", "rightIcon", "style", "className"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function YwButton(props) {
  var _props$btnText = props.btnText,
      btnText = _props$btnText === void 0 ? '' : _props$btnText,
      _props$visible = props.visible,
      visible = _props$visible === void 0 ? true : _props$visible,
      disabled = props.disabled,
      children = props.children,
      leftIcon = props.leftIcon,
      btnType = props.btnType,
      type = props.type,
      rightIcon = props.rightIcon,
      style = props.style,
      className = props.className,
      others = (0, _objectWithoutPropertiesLoose2["default"])(props, _excluded);
  return (0, _index.isVisible)(visible, null) && /*#__PURE__*/React.createElement(_antd.Button, (0, _extends2["default"])({}, others, {
    disabled: (0, _index.isDisabled)(disabled, null),
    className: className,
    type: btnType || type,
    style: (0, _extends2["default"])({
      borderRadius: '4px'
    }, style)
  }), leftIcon, " ", children || btnText, rightIcon);
}

YwButton.defaultProps = {
  visible: true,
  disabled: false,
  btnType: '',
  style: {}
};