import React from 'react';
export declare const Copy: ({ text, onCopy }: {
    text: any;
    onCopy?: () => void;
}) => JSX.Element;
export declare const LongText2Ellipsis: ({ value, tooltip, isCopy, row, children, onClick, record, style, }: {
    value?: string;
    tooltip?: boolean;
    isCopy?: boolean;
    row?: number;
    children?: React.ReactNode;
    onClick?: (any: any) => void;
    record?: object;
    style?: React.CSSProperties;
}) => JSX.Element;
export declare const Price: ({ value }: {
    value: any;
}) => JSX.Element;
export declare const TagsInfo: ({ tags, record }: {
    tags: any;
    record: any;
}) => JSX.Element;
export declare const GoodTitle: ({ title }: {
    title?: {};
}) => JSX.Element;
export declare const DetailInfo: ({ value, record, }: {
    value: {
        imgUrl?: string;
        renderImg?: () => JSX.Element;
        title?: {
            value?: string;
            linkUrl?: string;
            icon?: boolean;
        };
        price?: string | number;
        tags?: {
            label: string;
            value: string;
        }[];
        items?: {
            label: string;
            value: string;
        }[];
        tooltip?: {
            value?: string;
            label?: string;
            isCopy?: boolean;
        };
    };
    record: object;
}) => JSX.Element;
