"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = YwTitle;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var _indexModule = _interopRequireDefault(require("./index.module.less"));

var _excluded = ["text", "subtitle", "size", "children"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function YwTitle(props) {
  var _props$text = props.text,
      text = _props$text === void 0 ? '' : _props$text,
      subtitle = props.subtitle,
      size = props.size,
      children = props.children,
      others = (0, _objectWithoutPropertiesLoose2["default"])(props, _excluded);
  return /*#__PURE__*/React.createElement("div", (0, _extends2["default"])({
    className: _indexModule["default"]["yw-title-" + size] + " " + _indexModule["default"]["yw-title"]
  }, others), size !== 'l' && /*#__PURE__*/React.createElement("span", {
    className: _indexModule["default"]['yw-title-line']
  }), /*#__PURE__*/React.createElement("div", {
    className: " " + _indexModule["default"]["yw-title-base"]
  }, text, subtitle && /*#__PURE__*/React.createElement("div", {
    className: _indexModule["default"]["yw-title-subtitle"]
  }, subtitle), children && /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'inline-block',
      height: '100%'
    }
  }, children)));
}

YwTitle.defaultProps = {
  size: 'l'
};