"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.withToolTip = void 0;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _excluded = ["tooltip"];

var withToolTip = function withToolTip(WrapComponent) {
  return function (_ref) {
    var tooltip = _ref.tooltip,
        props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
    return tooltip ? /*#__PURE__*/_react["default"].createElement(_antd.Tooltip, {
      placement: tooltip.placement,
      title: tooltip.title
    }, /*#__PURE__*/_react["default"].createElement(WrapComponent, props)) : /*#__PURE__*/_react["default"].createElement(WrapComponent, props);
  };
};

exports.withToolTip = withToolTip;